WordPress 4.0 “Benny” released

The long awaited WordPress version 4.0, codenamed “Benny” in honour of jazz clarinettist and band leader Benny Goodman has been released.  While this does seem like a major release to some of us, since it includes a good amount of features easing the blog writers’ and blog managers’ tasks;  security advocates may feel let down that WordPress “Benny” seems to lack any security updates. Important to keep in mind however, that less than a month ago, the WordPress team released version 3.9.2, which addressed two WordPress security issues and provided additional security hardening.

It is recommended to upgrade to version 4.0 for the following reasons:

  • UI changes make it easier for bloggers to create new content
  • Provides a new plugin installation experience
  • It is always wise to use the latest version
  • WordPress 4.0 includes all the security updates included in WordPress 3.9.2

Unfortunately, the majority seem to be lagging behind when it comes to upgrading to the latest version of WordPress. Use Acunetix to confirm if your WordPress installation or WordPress plugins are secure. List of checks done by Acunetix on WordPress.

Share this post

Leave a Reply

Your email address will not be published.